
Application: gvSIG desktop - gvSIG bugs #4387
La herramienta de búsqueda catastral no está funcionando
10/04/2016 01:11 PM - Mario Carrera

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Daniel Martinez
Category:
Target version: 2.3.1-2500 (rev. org.gvsig.desktop-2.0.155)
Severity: Blocker Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2447 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

En la 2.3 final, cuando seleccionas la herramienta de Búsqueda catastral no se abre, se queda bloqueado gvSIG y no se puede
cerrar. Al cabo de unos minutos salta una ventana (con un mensaje "Error creando el panel...").

En Windows dicha ventana sale en pocos segundos.

Adjunto log.

Subtasks:
gvSIG add-on requests # 4392: New addons for gvSIG-desktop-2.3.0-org.gvsig.busquedacata... Closed

Associated revisions
Revision 209 - 10/07/2016 01:38 PM - Daniel Martinez

refs #4387: corrected problem when WS does not respond when queried, and field "Numero" is now editable.

History
#1 - 10/04/2016 01:40 PM - Francisco Díaz Carsí

Si entras en http://www.sedecatastro.gob.es/ con un navegador de internet

Te devuelve esto:
INTERRUPCIÓN DEL SERVICIO POR MOTIVOS DE MANTENIMIENTO

Tal vez sería necesario que cuando ocurre esto, en lugar de reventar, debería mostrar el error al usuario.

#2 - 10/04/2016 01:56 PM - Mario Carrera
- Target version set to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)
- Assignee changed from Francisco Díaz Carsí to Daniel Martinez

Cierto, parece que no está funcionando el servicio.

Sí que habría que mostrar un mensaje de error al usuario, indicando que ha habido error de conexión, y siguiese dejando trabajar.
#3 - 10/07/2016 02:12 PM - Daniel Martinez
- Status changed from New to Fixed

Se corrige la petición al WS para que se realice en un hilo aparte y no bloquee la aplicación. Además se mejora la interfaz de usuario para que se
pueda editar el campo "Número"

#4 - 10/16/2016 10:59 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.3.1-2500 (rev. org.gvsig.desktop-2.0.155)

#5 - 10/20/2016 05:23 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 450 KB 10/04/2016 Mario Carrera
